#!/bin/bash

check_file() {
    cat input.txt | while read line; do
        password=${line#*: }
        params=${line%: *}
        min=${params%-*}
        params=${params#*-}
        max=${params% *}
        char=${params#* }
        count=0
        min=$((min-1))
        max=$((max-1))
        if [ "${password:$min:1}" = "$char" ] || [ "${password:$max:1}" = "$char" ]; then
            if [ "${password:$min:1}" != "${password:$max:1}" ]; then
                echo "Got valid line! $line"
            fi
        fi
    done
}

echo "Got $(check_file | wc -l) valid lines"

exit 0
